Name:           plymouth-theme-switcher
Version:        0.3
Release:        %mkrel 1
License:        GNU General Public License (GPL)
Source:        %{name}-%{version}.tar.gz
Summary:        Plymouth-Theme-Switcher
Group:          System/Configuration/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	Xdialog
Requires:       virtual-plymouth-theme-switcher-su 
BuildArch:	noarch


%description
This tool lets you easily select and switch to another Plymouth-Theme.


%package kdesu
Summary:        kdesu for Plymouth-Theme-Switcher
Group:          System/Configuration/Other
Provides:       virtual-plymouth-theme-switcher-su
Requires:       kdebase4-runtime

%description kdesu
Lets you choose kdesu for Plymouth-Theme-Switcher


%package gksu
Summary:        gksu for Plymouth-Theme-Switcher
Group:          System/Configuration/Other
Provides:       virtual-plymouth-theme-switcher-su
Requires:       gksu

%description gksu
Lets you choose gksu for Plymouth-Theme-Switcher


#german
%description -l de
Mit diesem Tool können Sie leicht ein anderes Plymouth-Theme auswählen und wechseln.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT


mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Switch Plymouth Theme
Name[de]=Plymouth Theme wechseln
Comment=Switch Plymouth Theme
Comment[de]=Plymouth Theme wechseln
Exec=plymouth-theme-switcher
Icon=plymouth-theme-switcher
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;DesktopSettings;GTK;
EOF


mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/pixmaps


install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 %{name}.png $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 lang $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 no-preview-de.png $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps
install -m 644 no-preview-en.png $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps


%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}/lang
%{_datadir}/%{name}/pixmaps/no-preview-de.png
%{_datadir}/%{name}/pixmaps/no-preview-en.png

%files kdesu

%files gksu


%changelog
* Tue Sep 09 2010 tigger-gg <rpm@mandrivauser.de> 0.3-1mud2010.1
- new version

* Thu Sep 07 2010 tigger-gg <rpm@mandrivauser.de> 0.2-1mud2010.1
- new version

* Wed Sep 01 2010 tigger-gg <rpm@mandrivauser.de> 0.1-1mud2010.1
- initial package for Mandriva 2010.1 based on a script by Alf

